Skip to main content
GET
Get Customer

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customer_id
string<uuid>
required

Response

Customer · object | null

Successful Response

email
string | null
firstName
string | null
lastName
string | null
isVisitor
boolean | null
default:false

If is a visitor, this is set to true in the response

userId
string | null

Identifier for the customer in your system

location
string | null
ip
string | null
customFields
Customfields · object | null
phoneNumber
string | null
fields
Fields · object | null
account
ChatbotAccount · object | null
id
string<uuid> | null
visitorId
string<uuid> | null

If the customer was a visitor previously, set this to the visitor's id to link the visitor to this customer